Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xpath.xml
Class ProblemListenerDefault

    java.lang.Object
      |
      +--org.apache.xalan.xpath.xml.ProblemListenerDefault

public class ProblemListenerDefault
extends java.lang.Object
implements ProblemListener

The implementation of the default error handling for Xalan.

Constructor Summary
`ProblemListenerDefault()` Create a ProblemListenerDefault using the default output stream (System.err)

Method Summary
`boolean` | `message(java.lang.String msg)` Function that is called to issue a message.
`boolean` | `problem(short where, short classification, java.lang.Object styleNode, org.w3c.dom.Node sourceNode, java.lang.String msg, java.lang.String id, int lineNo, int charOffset)` The default problem listener.
`void` | `setDiagnosticsOutput(java.io.PrintWriter pw)` Set where diagnostics will be written.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProblemListenerDefault

    public ProblemListenerDefault()

  Create a ProblemListenerDefault using the default output stream (System.err)

Method Detail

### problem

    public boolean problem(short where,
                           short classification,
                           java.lang.Object styleNode,
                           org.w3c.dom.Node sourceNode,
                           java.lang.String msg,
                           java.lang.String id,
                           int lineNo,
                           int charOffset)

  The default problem listener.
  Specified by:
    problem in interface ProblemListener

### message

    public boolean message(java.lang.String msg)

  Function that is called to issue a message.
  Specified by:
    message in interface ProblemListener
  Parameters:
    `msg` - A string message to output.

### setDiagnosticsOutput

    public void setDiagnosticsOutput(java.io.PrintWriter pw)

  Set where diagnostics will be written. If the value is null, then diagnostics will be turned off.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.